summaryrefslogtreecommitdiff
path: root/qa/593
diff options
context:
space:
mode:
Diffstat (limited to 'qa/593')
-rwxr-xr-xqa/59348
1 files changed, 48 insertions, 0 deletions
diff --git a/qa/593 b/qa/593
new file mode 100755
index 0000000..7872aa5
--- /dev/null
+++ b/qa/593
@@ -0,0 +1,48 @@
+#! /bin/sh
+# PCP QA Test No. 593
+# test pmlogger bug 779495
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+. ./localconfig
+
+if [ $PCP_VER -lt 2200 -o \( $PCP_EOE_VER -ge 6500 -a $PCP_EOE_VER -lt 6508 \) -o $PCP_EOE_VER -lt 2200 ]
+then
+ echo "needs sample.many metrics & new pmlogger (pv#779495)" >$seq.notrun
+ echo "$seq: [not run] `cat $seq.notrun`"
+ exit 0
+fi
+
+cleanup()
+{
+ pmstore sample.many.count 5
+}
+
+trap "cleanup ; rm -f $tmp.*; exit \$status" 0 1 2 3 15
+status=1
+
+# real QA test starts here
+
+# if bug 779495 is outstanding, we'll fail a calloc
+
+pmstore sample.many.count 30000
+
+cat > $tmp.config << EOF
+log mandatory on once {
+ sample.many.int
+}
+EOF
+
+pmlogger -l $tmp.log -s 1 -c $tmp.config $tmp
+_filter_pmlogger_log <$tmp.log
+
+status=0
+exit